{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.valkyrie_mist.states_boss": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						"neutral_state"
					],
					"transitions": [
						{
							"walking": "q.ground_speed>1"
						},
						{
							"falling": "!query.is_on_ground"
						},
						{
							"regenerate": "query.is_shaking"
						},
						{
							"spinattack": "query.is_ignited"
						},
						{
							"slamattack": "query.is_chested"
						}
					],
					"blend_transition": 0.3
				},
				"walking": {
					"animations": [
						"move"
					],
					"transitions": [
						{
							"idle": "q.ground_speed<0.5"
						},
						{
							"spinattack": "query.is_ignited"
						},
						{
							"regenerate": "query.is_shaking"
						},
						{
							"slamattack": "query.is_chested"
						}
					],
					"blend_transition": 0.2
				},
				"falling": {
					"animations": [
						"fall"
					],
					"transitions": [
						{
							"idle": "query.is_on_ground"
						},
						{
							"slamattack": "query.is_chested"
						}
					]
				},
				"stunned": {
					"transitions": [
						{
							"idle": "!query.is_stunned"
						},
						{
							"walking": "q.ground_speed>1&&!query.is_stunned"
						},
						{
							"regenerate": "query.is_shaking"
						},
						{
							"slamattack": "query.is_chested"
						}
					],
					"animations": [
						"stunned"
					],
					"blend_transition": 0.2,
					"particle_effects": [
						{
							"effect": "spark",
							"locator": "regen"
						}
					],
					"sound_effects": [
						{
							"effect": "shortcircuit"
						}
					]
				},
				"regenerate": {
					"animations": [
						"powerup"
					],
					"transitions": [
						{
							"idle": "!query.is_shaking&&query.all_animations_finished"
						},
						{
							"spinattack": "query.all_animations_finished&&query.is_ignited&&!query.is_shaking"
						},
						{
							"walking": "q.ground_speed>1&&!query.is_shaking&&query.all_animations_finished"
						},
						{
							"slamattack": "query.is_chested"
						}
					],
					"sound_effects": [
						{
							"effect": "regen"
						}
					]
				},
				"spinattack": {
					"animations": [
						"spinattack"
					],
					"transitions": [
						{
							"stunned": "query.is_stunned"
						},
						{
							"regenerate": "query.is_shaking"
						},
						{
							"slamattack": "query.is_chested"
						}
					],
					"blend_transition": 0.5
				},
				"slamattack": {
					"animations": [
						"slam"
					],
					"blend_transition": 0.2,
					"transitions": [
						{
							"walking": "q.ground_speed>1"
						},
						{
							"falling": "!query.is_on_ground"
						},
						{
							"regenerate": "query.is_shaking"
						},
						{
							"spinattack": "query.is_ignited"
						},
						{
							"idle": "q.ground_speed<0.5"
						}
					]
				}
			}
		},
		"controller.animation.valkyrie_mist.states_particle": {
			"initial_state": "not_regen",
			"states": {
				"not_regen": {
					"transitions": [
						{
							"not_regen": "query.mark_variant==1"
						}
					]
				},
				"regen": {
					"transitions": [
						{
							"regen": "!query.mark_variant==1"
						}
					],
					"particle_effects": [
						{
							"effect": "valkyrieregen",
							"locator": "regen"
						}
					]
				}
			}
		},
		"controller.animation.extra.poisondart": {
			"initial_state": "default",
			"states": {
				"default": {
					"particle_effects": [
						{
							"locator": "locator",
							"effect": "valkyriesplus_poisondart"
						}
					]
				}
			}
		},
		"controller.animation.projectile.sounds": {
			"initial_state": "alive",
			"states": {
				"alive": {
					"sound_effects": [
						{
							"effect": "alivesound"
						}
					],
					"transitions": [
						{
							"dead": "query.is_sheared"
						}
					]
				},
				"dead": {
					"sound_effects": [
						{
							"effect": "deadsound"
						}
					]
				}
			}
		}
	}
}